Name:           freerouting
Version:        1.3.1
Release:        17%{?dist}
Summary:        Circuit Board Routing Tool

License:        GPLv3
URL:            http://www.freerouting.org/
Source0:        https://freerouting.org/freerouting/changelog/freeRouting-%{version}.tar.gz
Source1:        freerouting.xml
Source2:        freerouting.desktop
Source3:        freerouting.svg
Source4:        freerouting.appdata.xml

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

BuildRequires:  java-devel >= 1:1.8
BuildRequires:  jpackage-utils
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       java >= 1:1.8
Requires:       jpackage-utils


%description
FreeRouting is a routing software intended but not limited for Printed Circuit
Boards (PCB). By using the standard Specctra or Electra DSN interface it
works together with numerous CAD tools including the LayoutEditor, KiCad
and Eagle. It imports DSN-files generated by the Specctra interface and
exports Specctra session files. FreeRouting was developed in 2004 by Alfons
Wirtz. He stopped the development in 2008 and published the source code
under the GPL in 2014. From 2015 FreeRouting is included in the LayoutEditor
packages and its source code is maintained by its team.


%prep
%setup -q -n freeRouting


%build
find -name '*.java' | \
    xargs javac -encoding ISO-8859-1 -Xlint:unchecked -Xlint:deprecation
find -name '*.class' -o -wholename '*/resources/*' | \
    xargs jar cf %{name}.jar


%install
# install mimeinfo
install -p -m 0644 -D %{SOURCE1} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# install .desktop and icon files
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}
install -p -m 0644 -D %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

# install .jar file
install -p -m 0644 -D %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

# install wrapper script
%jpackage_script gui.MainApplication "" "" freerouting freerouting true

# install and AppStream metadata
install -p -m 0644 -D %{SOURCE4} %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%license LICENSE
%doc README.md
%{_javadir}/%{name}.jar
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml


%changelog
* Sat Mar 02 2024 Jiri Vanek <jvanek@redhat.com> - 1.3.1-17
- Rebuilt for java-21-openjdk as system jdk

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Jiri Vanek <jvanek@redhat.com> - 1.3.1-11
- Rebuilt for Drop i686 JDKs

* Sat Feb 05 2022 Jiri Vanek <jvanek@redhat.com> - 1.3.1-10
- Rebuilt for java-17-openjdk as system jdk

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Jiri Vanek <jvanek@redhat.com> - 1.3.1-5
- Rebuilt for JDK-11, see https://fedoraproject.org/wiki/Changes/Java11

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 02 2019 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 1.3.1-1
- Update to the latest release
- Add AppStream metadata and icon file
- Modernize .spec file

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-8.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-7.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-6.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-5.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-4.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.43-3.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 12 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.2.43-2.20140513git265f040
- Add desktop-file-utils BR

* Fri Nov 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.2.43-1.20140513git265f040
- Initial packaging
